/**
 * Created by Tobi Stockinger on 29/11/14.
 */
var express = require('express');
var app = express();

// the order of middleware usage is important!



// this middleware will not allow the request to go beyond it
// because next() is never called!
app.use(function(req, res, next) {
    res.send('Hello World');
});

// requests will never reach this route
app.get('/', function (req, res) {
    res.send('Welcome');
});

var server = app.listen(3000, function () {
    var host = server.address().address;
    var port = server.address().port;
    console.log('Example app listening at http://%s:%s',
        host, port)
});
